package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@ApiModel
public class DrpComeAndGoCommitPayDTO {
   @ApiModelProperty("采购单号")
   private @NotBlank(
   message = "采购单号不能为空!"
) String orderGoodsId;
   @ApiModelProperty("付款金额")
   private @NotNull(
   message = "付款金额不能为空!"
) Long payAmount;
   @ApiModelProperty("付款时间")
   private LocalDateTime payTime;
   @ApiModelProperty("付款银行")
   private String payBank;
   @ApiModelProperty("付款账户名称")
   private String payAccountName;
   @ApiModelProperty("付款账户")
   private String payAccount;
   @ApiModelProperty("收款银行")
   private String collectBank;
   @ApiModelProperty("收款账号名称")
   private String collectAccountName;
   @ApiModelProperty("收款账号")
   private String collectAccount;
   @ApiModelProperty("付款备注")
   private String payRemark;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getPayAmount() {
      return this.payAmount;
   }

   public LocalDateTime getPayTime() {
      return this.payTime;
   }

   public String getPayBank() {
      return this.payBank;
   }

   public String getPayAccountName() {
      return this.payAccountName;
   }

   public String getPayAccount() {
      return this.payAccount;
   }

   public String getCollectBank() {
      return this.collectBank;
   }

   public String getCollectAccountName() {
      return this.collectAccountName;
   }

   public String getCollectAccount() {
      return this.collectAccount;
   }

   public String getPayRemark() {
      return this.payRemark;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setPayAmount(final Long payAmount) {
      this.payAmount = payAmount;
   }

   public void setPayTime(final LocalDateTime payTime) {
      this.payTime = payTime;
   }

   public void setPayBank(final String payBank) {
      this.payBank = payBank;
   }

   public void setPayAccountName(final String payAccountName) {
      this.payAccountName = payAccountName;
   }

   public void setPayAccount(final String payAccount) {
      this.payAccount = payAccount;
   }

   public void setCollectBank(final String collectBank) {
      this.collectBank = collectBank;
   }

   public void setCollectAccountName(final String collectAccountName) {
      this.collectAccountName = collectAccountName;
   }

   public void setCollectAccount(final String collectAccount) {
      this.collectAccount = collectAccount;
   }

   public void setPayRemark(final String payRemark) {
      this.payRemark = payRemark;
   }

   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpComeAndGoCommitPayDTO(orderGoodsId=" + var10000 + ", payAmount=" + this.getPayAmount() + ", payTime=" + String.valueOf(this.getPayTime()) + ", payBank=" + this.getPayBank() + ", payAccountName=" + this.getPayAccountName() + ", payAccount=" + this.getPayAccount() + ", collectBank=" + this.getCollectBank() + ", collectAccountName=" + this.getCollectAccountName() + ", collectAccount=" + this.getCollectAccount() + ", payRemark=" + this.getPayRemark() + ")";
   }
}
